---
version: "2.1"
services:
  plex:
    image: lscr.io/linuxserver/plex
    container_name: mangrana_plex
    hostname: plex
    network_mode: host
    mem_limit: 4g
    cpu_shares: 1024
    security_opt:
      - no-new-privileges:true
    healthcheck:
      test: wget --no-verbose --tries=1 --spider ${HEALTHCHECK_URL}
    volumes:
      - ./config:/config
      - ${HOST_DATA_FOLDER}/media:/data/media:rw
      - ${SD_STORAGE}/transcode/plex:/transcode
    devices:
      - /dev/dri/renderD128:/dev/dri/renderD128
      - /dev/dri/card0:/dev/dri/card0
#    tmpfs: #this is to use the RAM as location for the transcoding buffer. I've disabled it because of possible OutOfMemory errors. If in the future I have more RAM then will be a nice configuration
#      - /transcode
    environment:
      - PUID=${USER}
      - PGID=${GROUP}
      - VERSION=public
      - TZ=Europe/Madrid
    restart: on-failure:5
    labels:
      - "com.centurylinklabs.watchtower.enable=false" #this is to not let the "dockers-version-auto-upgrader" restart plex at any time (specially when users are streaming)